Get Dashboard
GET
/v1/portal/workspace
const url = 'https://example.com/v1/portal/workspace?return_to=&include_forks=false&include_repository_feed=false&include_onboarding=false&include_project_factory_templates=false&include_work_agenda=false&include_recent_launches=false&include_experience_scaffolding=false&tenant_id=';const options = { method: 'GET', headers: {'X-Forwarded-Proto': '', 'X-Forwarded-Host': '', Host: ''}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://example.com/v1/portal/workspace?return_to=&include_forks=false&include_repository_feed=false&include_onboarding=false&include_project_factory_templates=false&include_work_agenda=false&include_recent_launches=false&include_experience_scaffolding=false&tenant_id=' \ --header 'Host: ' \ --header 'X-Forwarded-Host: ' \ --header 'X-Forwarded-Proto: 'Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”return_to
Return To
string
include_forks
Include Forks
boolean
include_repository_feed
Include Repository Feed
boolean
include_onboarding
Include Onboarding
boolean
include_project_factory_templates
Include Project Factory Templates
boolean
include_work_agenda
Include Work Agenda
boolean
include_recent_launches
Include Recent Launches
boolean
include_experience_scaffolding
Include Experience Scaffolding
boolean
tenant_id
Tenant Id
string
Header Parameters
Section titled “Header Parameters”Responses
Section titled “Responses”Successful Response
Media typeapplication/json
PortalDashboardOut
object
principal
required
PortalPrincipalOut
object
subject_id
required
Subject Id
string
subject_key
required
Subject Key
string
email
Email
string
principal_type
Principal Type
string
group_paths
Group Paths
Array<string>
capabilities
Capabilities
Array<string>
github_user_id
Github User Id
string
github_username
Github Username
string
github_linked
Github Linked
boolean
github_link_required
Github Link Required
boolean
session_widget
required
PortalSessionWidgetOut
object
subject_key
required
Subject Key
string
email
Email
string
principal_type
Principal Type
string
display_name
Display Name
string
avatar_url
Avatar Url
string
portal_url
Portal Url
string
profile_url
Profile Url
string
github_linked
Github Linked
boolean
github_username
Github Username
string
github_link_required
Github Link Required
boolean
github_link_start_url
Github Link Start Url
string
login_url
Login Url
string
logout_url
Logout Url
string
switch_account_url
Switch Account Url
string
experience_snapshot
required
PortalExperienceSnapshotOut
object
readiness_score
Readiness Score
integer
ready_checks
Ready Checks
integer
needs_action_checks
Needs Action Checks
integer
accessible_solutions
Accessible Solutions
integer
project_scopes
Project Scopes
integer
team_scopes
Team Scopes
integer
direct_entry
Direct Entry
boolean
return_to
Return To
string
continue_url
Continue Url
string
login_url
Login Url
string
logout_url
Logout Url
string
solutions
Solutions
Array<object>
PortalSolutionOutobject
solution_id
required
Solution Id
string
title
required
Title
string
url
required
Url
string
description
Description
string
target_url
Target Url
string
launch_url
Launch Url
string
visible_resource_refs
Visible Resource Refs
Array<string>
required_roles
Required Roles
Array<string>
required_collections
Required Collections
Array<string>
repository_feed
Repository Feed
object
key
additional properties
any
onboarding_checks
Onboarding Checks
Array<object>
PortalOnboardingCheckOutobject
check_id
required
Check Id
string
title
required
Title
string
status
required
Status
string
detail
Detail
string
action_label
Action Label
string
action_url
Action Url
string
role_scenarios
Role Scenarios
Array<object>
PortalRoleScenarioOutobject
scenario_id
required
Scenario Id
string
title
required
Title
string
persona
required
Persona
string
stage
required
Stage
string
status
required
Status
string
summary
Summary
string
actions
Actions
Array<object>
PortalScenarioActionOutobject
label
required
Label
string
url
required
Url
string
kind
Kind
string
edit_surfaces
Edit Surfaces
Array<object>
PortalEditSurfaceOutobject
surface_id
required
Surface Id
string
title
required
Title
string
resource_scope
required
Resource Scope
string
status
required
Status
string
detail
Detail
string
owner_roles
Owner Roles
Array<string>
action_label
Action Label
string
action_url
Action Url
string
interaction_flows
Interaction Flows
Array<object>
PortalInteractionFlowOutobject
flow_id
required
Flow Id
string
title
required
Title
string
status
required
Status
string
summary
Summary
string
participants
Participants
Array<string>
steps
Steps
Array<string>
actions
Actions
Array<object>
PortalScenarioActionOutobject
label
required
Label
string
url
required
Url
string
kind
Kind
string
journey_lanes
Journey Lanes
Array<object>
PortalJourneyLaneOutobject
lane_id
required
Lane Id
string
title
required
Title
string
status
required
Status
string
summary
Summary
string
persona_targets
Persona Targets
Array<string>
group_targets
Group Targets
Array<string>
actions
Actions
Array<object>
PortalScenarioActionOutobject
label
required
Label
string
url
required
Url
string
kind
Kind
string
group_clusters
Group Clusters
Array<object>
PortalGroupClusterOutobject
cluster_id
required
Cluster Id
string
title
required
Title
string
item_count
required
Item Count
integer
paths
Paths
Array<string>
action_label
Action Label
string
action_url
Action Url
string
guided_actions
Guided Actions
Array<object>
PortalGuidedActionOutobject
action_id
required
Action Id
string
title
required
Title
string
summary
Summary
string
priority
Priority
integer
action_label
Action Label
string
action_url
Action Url
string
role_workbench
Role Workbench
Array<object>
PortalRoleWorkbenchOutobject
role_key
required
Role Key
string
title
required
Title
string
enabled
Enabled
boolean
summary
Summary
string
status
Status
string
metrics
Metrics
Array<object>
PortalRoleWorkbenchMetricOutobject
metric_key
required
Metric Key
string
label
required
Label
string
value
Value
integer
primary_action
Any of:
PortalScenarioActionOut
object
label
required
Label
string
url
required
Url
string
kind
Kind
string
null
secondary_actions
Secondary Actions
Array<object>
PortalScenarioActionOutobject
label
required
Label
string
url
required
Url
string
kind
Kind
string
highlight
Highlight
string
project_factory_templates
Project Factory Templates
Array<object>
PortalProjectFactoryTemplateOutobject
template_id
required
Template Id
string
title
required
Title
string
template_family
Template Family
string
summary
Summary
string
stack_type
Stack Type
string
project_type
Project Type
string
frontend_framework
Frontend Framework
string
backend_framework
Backend Framework
string
git_path
Git Path
string
delivery_profile
Delivery Profile
string
runtime_profile
Runtime Profile
string
registry_profile
Registry Profile
string
execution_profile
Execution Profile
string
ai_agent_profile
Ai Agent Profile
string
asset_preset_id
Asset Preset Id
string
required_scopes
Required Scopes
Array<string>
enabled_stack_ids
Enabled Stack Ids
Array<string>
default_ai_agents
Default Ai Agents
Array<string>
registry
Registry
object
key
additional properties
any
workspace
Workspace
object
key
additional properties
any
participants
Participants
Array<object>
PortalProjectFactoryTemplateParticipantOutobject
subject_key
required
Subject Key
string
project_role
required
Project Role
string
stack_ids
Stack Ids
Array<string>
suggested_stack_ids
Suggested Stack Ids
Array<string>
member_team_keys
Member Team Keys
Array<string>
private_repo
Private Repo
boolean
create_github_repo
Create Github Repo
boolean
establish_penpot_sync
Establish Penpot Sync
boolean
recent_launches
Recent Launches
Array<object>
PortalRecentLaunchOutobject
label
required
Label
string
url
required
Url
string
solution_id
Solution Id
string
resource_ref
Resource Ref
string
project_slug
Project Slug
string
launched_at
Launched At
string
work_agenda
PortalWorkAgendaOut
object
provider
Provider
string
status
Status
string
synced_at
Synced At
string
events
Events
Array<object>
PortalWorkEventOutobject
event_id
Event Id
string
title
Title
string
start_at
Start At
string
end_at
End At
string
is_all_day
Is All Day
boolean
join_url
Join Url
string
tasks
Tasks
Array<object>
PortalWorkTaskOutobject
task_id
Task Id
string
title
Title
string
status
Status
string
importance
Importance
string
due_at
Due At
string
list_name
List Name
string
web_url
Web Url
string
task_kind
Task Kind
string
entity_kind
Entity Kind
string
entity_key
Entity Key
string
Example
{ "principal": { "email": "", "principal_type": "human", "github_user_id": "", "github_username": "", "github_linked": false, "github_link_required": false }, "session_widget": { "email": "", "principal_type": "human", "display_name": "", "avatar_url": "", "portal_url": "", "profile_url": "", "github_linked": false, "github_username": "", "github_link_required": false, "github_link_start_url": "", "login_url": "", "logout_url": "", "switch_account_url": "" }, "experience_snapshot": { "readiness_score": 0, "ready_checks": 0, "needs_action_checks": 0, "accessible_solutions": 0, "project_scopes": 0, "team_scopes": 0 }, "direct_entry": true, "return_to": "", "continue_url": "", "login_url": "", "logout_url": "", "solutions": [ { "description": "", "target_url": "", "launch_url": "" } ], "onboarding_checks": [ { "detail": "", "action_label": "", "action_url": "" } ], "role_scenarios": [ { "summary": "", "actions": [ { "kind": "link" } ] } ], "edit_surfaces": [ { "detail": "", "action_label": "", "action_url": "" } ], "interaction_flows": [ { "summary": "", "actions": [ { "kind": "link" } ] } ], "journey_lanes": [ { "summary": "", "actions": [ { "kind": "link" } ] } ], "group_clusters": [ { "action_label": "", "action_url": "" } ], "guided_actions": [ { "summary": "", "priority": 100, "action_label": "", "action_url": "" } ], "role_workbench": [ { "enabled": false, "summary": "", "status": "inactive", "metrics": [ { "value": 0 } ], "primary_action": { "kind": "link" }, "secondary_actions": [ { "kind": "link" } ], "highlight": "" } ], "project_factory_templates": [ { "template_family": "", "summary": "", "stack_type": "", "project_type": "", "frontend_framework": "", "backend_framework": "", "git_path": "", "delivery_profile": "", "runtime_profile": "", "registry_profile": "", "execution_profile": "", "ai_agent_profile": "", "asset_preset_id": "", "private_repo": true, "create_github_repo": true, "establish_penpot_sync": false } ], "recent_launches": [ { "solution_id": "", "resource_ref": "", "project_slug": "", "launched_at": "" } ], "work_agenda": { "provider": "none", "status": "disabled", "synced_at": "", "events": [ { "event_id": "", "title": "", "start_at": "", "end_at": "", "is_all_day": false, "join_url": "" } ], "tasks": [ { "task_id": "", "title": "", "status": "", "importance": "normal", "due_at": "", "list_name": "", "web_url": "", "task_kind": "", "entity_kind": "", "entity_key": "" } ] }}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}